diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/user-edit.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/user-edit.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/user-edit.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/user-edit.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 82,92 ****
  if ( is_multisite() && IS_PROFILE_PAGE && isset( $_GET[ 'newuseremail' ] ) && $current_user->ID ) {
  	$new_email = get_option( $current_user->ID . '_new_email' );
  	if ( $new_email[ 'hash' ] == $_GET[ 'newuseremail' ] ) {
  		$user->ID = $current_user->ID;
  		$user->user_email = esc_html( trim( $new_email[ 'newemail' ] ) );
  		if ( $wpdb->get_var( $wpdb->prepare( "SELECT user_login FROM {$wpdb->signups} WHERE user_login = %s", $current_user->user_login ) ) )
  			$wpdb->query( $wpdb->prepare( "UPDATE {$wpdb->signups} SET user_email = %s WHERE user_login = %s", $user->user_email, $current_user->user_login ) );
! 		wp_update_user( get_object_vars( $user ) );
  		delete_option( $current_user->ID . '_new_email' );
  		wp_redirect( add_query_arg( array('updated' => 'true'), self_admin_url( 'profile.php' ) ) );
  		die();
--- 82,93 ----
  if ( is_multisite() && IS_PROFILE_PAGE && isset( $_GET[ 'newuseremail' ] ) && $current_user->ID ) {
  	$new_email = get_option( $current_user->ID . '_new_email' );
  	if ( $new_email[ 'hash' ] == $_GET[ 'newuseremail' ] ) {
+ 		$user = new stdClass;
  		$user->ID = $current_user->ID;
  		$user->user_email = esc_html( trim( $new_email[ 'newemail' ] ) );
  		if ( $wpdb->get_var( $wpdb->prepare( "SELECT user_login FROM {$wpdb->signups} WHERE user_login = %s", $current_user->user_login ) ) )
  			$wpdb->query( $wpdb->prepare( "UPDATE {$wpdb->signups} SET user_email = %s WHERE user_login = %s", $user->user_email, $current_user->user_login ) );
! 		wp_update_user( $user );
  		delete_option( $current_user->ID . '_new_email' );
  		wp_redirect( add_query_arg( array('updated' => 'true'), self_admin_url( 'profile.php' ) ) );
  		die();
***************
*** 139,145 ****
  }
  
  if ( !is_wp_error( $errors ) ) {
! 	$redirect = (IS_PROFILE_PAGE ? "profile.php?" : "user-edit.php?user_id=$user_id&"). "updated=true";
  	if ( $wp_http_referer )
  		$redirect = add_query_arg('wp_http_referer', urlencode($wp_http_referer), $redirect);
  	wp_redirect($redirect);
--- 140,146 ----
  }
  
  if ( !is_wp_error( $errors ) ) {
! 	$redirect = add_query_arg( 'updated', true, get_edit_user_link( $user_id ) );
  	if ( $wp_http_referer )
  		$redirect = add_query_arg('wp_http_referer', urlencode($wp_http_referer), $redirect);
  	wp_redirect($redirect);
***************
*** 245,257 ****
  	</tr>
  
  <?php if ( !IS_PROFILE_PAGE && !is_network_admin() ) : ?>
! <tr><th><label for="role"><?php _e('Role:') ?></label></th>
  <td><select name="role" id="role">
  <?php
! // Get the highest/primary role for this user
  // TODO: create a function that does this: wp_get_user_role()
! $user_roles = $profileuser->roles;
! $user_role = array_shift($user_roles);
  
  // print the full list of roles with the primary one selected.
  wp_dropdown_roles($user_role);
--- 246,258 ----
  	</tr>
  
  <?php if ( !IS_PROFILE_PAGE && !is_network_admin() ) : ?>
! <tr><th><label for="role"><?php _e('Role') ?></label></th>
  <td><select name="role" id="role">
  <?php
! // Compare user role against currently editable roles
  // TODO: create a function that does this: wp_get_user_role()
! $user_roles = array_intersect( array_values( $profileuser->roles ), array_keys( get_editable_roles() ) );
! $user_role  = array_shift( $user_roles );
  
  // print the full list of roles with the primary one selected.
  wp_dropdown_roles($user_role);
***************
*** 266,274 ****
  <?php endif; //!IS_PROFILE_PAGE
  
  if ( is_multisite() && is_network_admin() && ! IS_PROFILE_PAGE && current_user_can( 'manage_network_options' ) && !isset($super_admins) ) { ?>
! <tr><th><label for="role"><?php _e('Super Admin'); ?></label></th>
  <td>
! <?php if ( $profileuser->user_email != get_site_option( 'admin_email' ) ) : ?>
  <p><label><input type="checkbox" id="super_admin" name="super_admin"<?php checked( is_super_admin( $profileuser->ID ) ); ?> /> <?php _e( 'Grant this user super admin privileges for the Network.' ); ?></label></p>
  <?php else : ?>
  <p><?php _e( 'Super admin privileges cannot be removed because this user has the network admin email.' ); ?></p>
--- 267,275 ----
  <?php endif; //!IS_PROFILE_PAGE
  
  if ( is_multisite() && is_network_admin() && ! IS_PROFILE_PAGE && current_user_can( 'manage_network_options' ) && !isset($super_admins) ) { ?>
! <tr><th><?php _e('Super Admin'); ?></th>
  <td>
! <?php if ( $profileuser->user_email != get_site_option( 'admin_email' ) || ! is_super_admin( $profileuser->ID ) ) : ?>
  <p><label><input type="checkbox" id="super_admin" name="super_admin"<?php checked( is_super_admin( $profileuser->ID ) ); ?> /> <?php _e( 'Grant this user super admin privileges for the Network.' ); ?></label></p>
  <?php else : ?>
  <p><?php _e( 'Super admin privileges cannot be removed because this user has the network admin email.' ); ?></p>
***************
*** 423,429 ****
  break;
  }
  ?>
! <script type="text/javascript" charset="utf-8">
  	if (window.location.hash == '#password') {
  		document.getElementById('pass1').focus();
  	}
--- 424,430 ----
  break;
  }
  ?>
! <script type="text/javascript">
  	if (window.location.hash == '#password') {
  		document.getElementById('pass1').focus();
  	}
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/user-new.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/user-new.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/user-new.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/user-new.php	2012-12-17 16:18:42.000000000 -0600
***************
*** 18,23 ****
--- 18,25 ----
  
  if ( is_multisite() ) {
  	function admin_created_user_email( $text ) {
+ 		$roles = get_editable_roles();
+ 		$role = $roles[ $_REQUEST['role'] ];
  		/* translators: 1: Site name, 2: site URL, 3: role */
  		return sprintf( __( 'Hi,
  You\'ve been invited to join \'%1$s\' at
***************
*** 26,32 ****
  this email. This invitation will expire in a few days.
  
  Please click the following link to activate your user account:
! %%s' ), get_bloginfo('name'), home_url(), esc_html( $_REQUEST[ 'role' ] ) );
  	}
  	add_filter( 'wpmu_signup_user_notification_email', 'admin_created_user_email' );
  
--- 28,34 ----
  this email. This invitation will expire in a few days.
  
  Please click the following link to activate your user account:
! %%s' ), get_bloginfo( 'name' ), home_url(), wp_specialchars_decode( translate_user_role( $role['name'] ) ) );
  	}
  	add_filter( 'wpmu_signup_user_notification_email', 'admin_created_user_email' );
  
***************
*** 72,77 ****
--- 74,82 ----
  		} else {
  			$newuser_key = substr( md5( $user_id ), 0, 5 );
  			add_option( 'new_user_' . $newuser_key, array( 'user_id' => $user_id, 'email' => $user_details->user_email, 'role' => $_REQUEST[ 'role' ] ) );
+ 
+ 			$roles = get_editable_roles();
+ 			$role = $roles[ $_REQUEST['role'] ];
  			/* translators: 1: Site name, 2: site URL, 3: role, 4: activation URL */
  			$message = __( 'Hi,
  
***************
*** 80,86 ****
  
  Please click the following link to confirm the invite:
  %4$s' );
! 			wp_mail( $new_user_email, sprintf( __( '[%s] Joining confirmation' ), get_option( 'blogname' ) ), sprintf($message, get_option('blogname'), home_url(), $_REQUEST[ 'role' ], home_url("/newbloguser/$newuser_key/")));
  			$redirect = add_query_arg( array('update' => 'add'), 'user-new.php' );
  		}
  	}
--- 85,91 ----
  
  Please click the following link to confirm the invite:
  %4$s' );
! 			wp_mail( $new_user_email, sprintf( __( '[%s] Joining confirmation' ), get_option( 'blogname' ) ), sprintf( $message, get_option( 'blogname' ), home_url(), wp_specialchars_decode( translate_user_role( $role['name'] ) ), home_url( "/newbloguser/$newuser_key/" ) ) );
  			$redirect = add_query_arg( array('update' => 'add'), 'user-new.php' );
  		}
  	}
***************
*** 122,128 ****
  				wpmu_activate_signup( $key );
  				$redirect = add_query_arg( array('update' => 'addnoconfirmation'), 'user-new.php' );
  			} else {
! 				$redirect = add_query_arg( array('update' => 'newuserconfimation'), 'user-new.php' );
  			}
  			wp_redirect( $redirect );
  			die();
--- 127,133 ----
  				wpmu_activate_signup( $key );
  				$redirect = add_query_arg( array('update' => 'addnoconfirmation'), 'user-new.php' );
  			} else {
! 				$redirect = add_query_arg( array('update' => 'newuserconfirmation'), 'user-new.php' );
  			}
  			wp_redirect( $redirect );
  			die();
***************
*** 189,195 ****
  	$messages = array();
  	if ( is_multisite() ) {
  		switch ( $_GET['update'] ) {
! 			case "newuserconfimation":
  				$messages[] = __('Invitation email sent to new user. A confirmation link must be clicked before their account is created.');
  				break;
  			case "add":
--- 194,200 ----
  	$messages = array();
  	if ( is_multisite() ) {
  		switch ( $_GET['update'] ) {
! 			case "newuserconfirmation":
  				$messages[] = __('Invitation email sent to new user. A confirmation link must be clicked before their account is created.');
  				break;
  			case "add":
***************
*** 262,268 ****
  		$label = __('E-mail or Username');
  	}
  ?>
! <form action="" method="post" name="adduser" id="adduser" class="add:users: validate"<?php do_action('user_new_form_tag');?>>
  <input name="action" type="hidden" value="adduser" />
  <?php wp_nonce_field( 'add-user', '_wpnonce_add-user' ) ?>
  
--- 267,273 ----
  		$label = __('E-mail or Username');
  	}
  ?>
! <form action="" method="post" name="adduser" id="adduser" class="validate"<?php do_action('user_new_form_tag');?>>
  <input name="action" type="hidden" value="adduser" />
  <?php wp_nonce_field( 'add-user', '_wpnonce_add-user' ) ?>
  
***************
*** 295,301 ****
  		echo '<h3 id="create-new-user">' . __( 'Add New User' ) . '</h3>';
  ?>
  <p><?php _e('Create a brand new user and add it to this site.'); ?></p>
! <form action="" method="post" name="createuser" id="createuser" class="add:users: validate"<?php do_action('user_new_form_tag');?>>
  <input name="action" type="hidden" value="createuser" />
  <?php wp_nonce_field( 'create-user', '_wpnonce_create-user' ) ?>
  <?php
--- 300,306 ----
  		echo '<h3 id="create-new-user">' . __( 'Add New User' ) . '</h3>';
  ?>
  <p><?php _e('Create a brand new user and add it to this site.'); ?></p>
! <form action="" method="post" name="createuser" id="createuser" class="validate"<?php do_action('user_new_form_tag');?>>
  <input name="action" type="hidden" value="createuser" />
  <?php wp_nonce_field( 'create-user', '_wpnonce_create-user' ) ?>
  <?php
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/users.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/users.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/users.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/users.php	2012-12-17 16:18:42.000000000 -0600
***************
*** 75,80 ****
--- 75,96 ----
  
  $update = '';
  
+ /**
+  * @since 3.5.0
+  * @access private
+  */
+ function delete_users_add_js() { ?>
+ <script>
+ jQuery(document).ready( function($) {
+ 	var submit = $('#submit').prop('disabled', true);
+ 	$('input[name=delete_option]').one('change', function() {
+ 		submit.prop('disabled', false);
+ 	});
+ });
+ </script>
+ <?php
+ }
+ 
  switch ( $wp_list_table->current_action() ) {
  
  /* Bulk Dropdown menu Role changes */
***************
*** 111,117 ****
  		if ( is_multisite() && !is_user_member_of_blog( $id ) )
  			wp_die(__('Cheatin&#8217; uh?'));
  
! 		$user = new WP_User($id);
  		$user->set_role($_REQUEST['new_role']);
  	}
  
--- 127,133 ----
  		if ( is_multisite() && !is_user_member_of_blog( $id ) )
  			wp_die(__('Cheatin&#8217; uh?'));
  
! 		$user = get_userdata( $id );
  		$user->set_role($_REQUEST['new_role']);
  	}
  
***************
*** 131,146 ****
  		exit();
  	}
  
  	if ( ! current_user_can( 'delete_users' ) )
  		wp_die(__('You can&#8217;t delete users.'));
  
- 	$userids = $_REQUEST['users'];
  	$update = 'del';
  	$delete_count = 0;
  
! 	foreach ( (array) $userids as $id) {
! 		$id = (int) $id;
! 
  		if ( ! current_user_can( 'delete_user', $id ) )
  			wp_die(__( 'You can&#8217;t delete that user.' ) );
  
--- 147,168 ----
  		exit();
  	}
  
+ 	$userids = array_map( 'intval', (array) $_REQUEST['users'] );
+ 
+ 	if ( empty( $_REQUEST['delete_option'] ) ) {
+ 		$url = self_admin_url( 'users.php?action=delete&users[]=' . implode( '&users[]=', $userids ) . '&error=true' );
+ 		$url = str_replace( '&amp;', '&', wp_nonce_url( $url, 'bulk-users' ) );
+ 		wp_redirect( $url );
+ 		exit;
+ 	}
+ 
  	if ( ! current_user_can( 'delete_users' ) )
  		wp_die(__('You can&#8217;t delete users.'));
  
  	$update = 'del';
  	$delete_count = 0;
  
! 	foreach ( $userids as $id ) {
  		if ( ! current_user_can( 'delete_user', $id ) )
  			wp_die(__( 'You can&#8217;t delete that user.' ) );
  
***************
*** 150,161 ****
  		}
  		switch ( $_REQUEST['delete_option'] ) {
  		case 'delete':
! 			if ( current_user_can('delete_user', $id) )
! 				wp_delete_user($id);
  			break;
  		case 'reassign':
! 			if ( current_user_can('delete_user', $id) )
! 				wp_delete_user($id, $_REQUEST['reassign_user']);
  			break;
  		}
  		++$delete_count;
--- 172,181 ----
  		}
  		switch ( $_REQUEST['delete_option'] ) {
  		case 'delete':
! 			wp_delete_user( $id );
  			break;
  		case 'reassign':
! 			wp_delete_user( $id, $_REQUEST['reassign_user'] );
  			break;
  		}
  		++$delete_count;
***************
*** 182,190 ****
  		$errors = new WP_Error( 'edit_users', __( 'You can&#8217;t delete users.' ) );
  
  	if ( empty($_REQUEST['users']) )
! 		$userids = array(intval($_REQUEST['user']));
  	else
! 		$userids = (array) $_REQUEST['users'];
  
  	include ('admin-header.php');
  ?>
--- 202,212 ----
  		$errors = new WP_Error( 'edit_users', __( 'You can&#8217;t delete users.' ) );
  
  	if ( empty($_REQUEST['users']) )
! 		$userids = array( intval( $_REQUEST['user'] ) );
  	else
! 		$userids = array_map( 'intval', (array) $_REQUEST['users'] );
! 
! 	add_action( 'admin_head', 'delete_users_add_js' );
  
  	include ('admin-header.php');
  ?>
***************
*** 195,223 ****
  <div class="wrap">
  <?php screen_icon(); ?>
  <h2><?php _e('Delete Users'); ?></h2>
  <p><?php echo _n( 'You have specified this user for deletion:', 'You have specified these users for deletion:', count( $userids ) ); ?></p>
  <ul>
  <?php
  	$go_delete = 0;
  	foreach ( $userids as $id ) {
! 		$id = (int) $id;
! 		$user = new WP_User($id);
  		if ( $id == $current_user->ID ) {
! 			echo "<li>" . sprintf(__('ID #%1s: %2s <strong>The current user will not be deleted.</strong>'), $id, $user->user_login) . "</li>\n";
  		} else {
! 			echo "<li><input type=\"hidden\" name=\"users[]\" value=\"" . esc_attr($id) . "\" />" . sprintf(__('ID #%1s: %2s'), $id, $user->user_login) . "</li>\n";
  			$go_delete++;
  		}
  	}
  	?>
  	</ul>
  <?php if ( $go_delete ) : ?>
! 	<fieldset><p><legend><?php echo _n( 'What should be done with posts and links owned by this user?', 'What should be done with posts and links owned by these users?', $go_delete ); ?></legend></p>
  	<ul style="list-style:none;">
! 		<li><label><input type="radio" id="delete_option0" name="delete_option" value="delete" checked="checked" />
! 		<?php _e('Delete all posts and links.'); ?></label></li>
  		<li><input type="radio" id="delete_option1" name="delete_option" value="reassign" />
! 		<?php echo '<label for="delete_option1">'.__('Attribute all posts and links to:').'</label>';
  		wp_dropdown_users( array( 'name' => 'reassign_user', 'exclude' => array_diff( $userids, array($current_user->ID) ) ) ); ?></li>
  	</ul></fieldset>
  	<input type="hidden" name="action" value="dodelete" />
--- 217,249 ----
  <div class="wrap">
  <?php screen_icon(); ?>
  <h2><?php _e('Delete Users'); ?></h2>
+ <?php if ( isset( $_REQUEST['error'] ) ) : ?>
+ <div class="error">
+ 	<p><strong><?php _e( 'ERROR:' ); ?></strong> <?php _e( 'Please select an option.' ); ?></p>
+ </div>
+ <?php endif; ?>
  <p><?php echo _n( 'You have specified this user for deletion:', 'You have specified these users for deletion:', count( $userids ) ); ?></p>
  <ul>
  <?php
  	$go_delete = 0;
  	foreach ( $userids as $id ) {
! 		$user = get_userdata( $id );
  		if ( $id == $current_user->ID ) {
! 			echo "<li>" . sprintf(__('ID #%1$s: %2$s <strong>The current user will not be deleted.</strong>'), $id, $user->user_login) . "</li>\n";
  		} else {
! 			echo "<li><input type=\"hidden\" name=\"users[]\" value=\"" . esc_attr($id) . "\" />" . sprintf(__('ID #%1$s: %2$s'), $id, $user->user_login) . "</li>\n";
  			$go_delete++;
  		}
  	}
  	?>
  	</ul>
  <?php if ( $go_delete ) : ?>
! 	<fieldset><p><legend><?php echo _n( 'What should be done with posts owned by this user?', 'What should be done with posts owned by these users?', $go_delete ); ?></legend></p>
  	<ul style="list-style:none;">
! 		<li><label><input type="radio" id="delete_option0" name="delete_option" value="delete" />
! 		<?php _e('Delete all posts.'); ?></label></li>
  		<li><input type="radio" id="delete_option1" name="delete_option" value="reassign" />
! 		<?php echo '<label for="delete_option1">' . __( 'Attribute all posts to:' ) . '</label> ';
  		wp_dropdown_users( array( 'name' => 'reassign_user', 'exclude' => array_diff( $userids, array($current_user->ID) ) ) ); ?></li>
  	</ul></fieldset>
  	<input type="hidden" name="action" value="dodelete" />
***************
*** 302,314 ****
  	$go_remove = false;
   	foreach ( $userids as $id ) {
  		$id = (int) $id;
!  		$user = new WP_User($id);
  		if ( $id == $current_user->ID && !is_super_admin() ) {
! 			echo "<li>" . sprintf(__('ID #%1s: %2s <strong>The current user will not be removed.</strong>'), $id, $user->user_login) . "</li>\n";
  		} elseif ( !current_user_can('remove_user', $id) ) {
! 			echo "<li>" . sprintf(__('ID #%1s: %2s <strong>You don\'t have permission to remove this user.</strong>'), $id, $user->user_login) . "</li>\n";
  		} else {
! 			echo "<li><input type=\"hidden\" name=\"users[]\" value=\"{$id}\" />" . sprintf(__('ID #%1s: %2s'), $id, $user->user_login) . "</li>\n";
  			$go_remove = true;
  		}
   	}
--- 328,340 ----
  	$go_remove = false;
   	foreach ( $userids as $id ) {
  		$id = (int) $id;
!  		$user = get_userdata( $id );
  		if ( $id == $current_user->ID && !is_super_admin() ) {
! 			echo "<li>" . sprintf(__('ID #%1$s: %2$s <strong>The current user will not be removed.</strong>'), $id, $user->user_login) . "</li>\n";
  		} elseif ( !current_user_can('remove_user', $id) ) {
! 			echo "<li>" . sprintf(__('ID #%1$s: %2$s <strong>You don\'t have permission to remove this user.</strong>'), $id, $user->user_login) . "</li>\n";
  		} else {
! 			echo "<li><input type=\"hidden\" name=\"users[]\" value=\"{$id}\" />" . sprintf(__('ID #%1$s: %2$s'), $id, $user->user_login) . "</li>\n";
  			$go_remove = true;
  		}
   	}
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/widgets.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/widgets.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/widgets.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/widgets.php	2012-12-17 16:18:42.000000000 -0600
***************
*** 59,65 ****
  'title'		=> __('Missing Widgets'),
  'content'	=>
  	'<p>' . __('Many themes show some sidebar widgets by default until you edit your sidebars, but they are not automatically displayed in your sidebar management tool. After you make your first widget change, you can re-add the default widgets by adding them from the Available Widgets area.') . '</p>' .
! 		'<p>' . __('When changing themes, there is often some variation in the number and setup of widget areas/sidebars and sometimes these conflicts make the transition a bit less smooth. If you changed themes and seem to be missing widgets, scroll down on this screen to the Inactive area, where all your widgets and their settings will have been saved.') . '</p>'
  ) );
  
  get_current_screen()->set_help_sidebar(
--- 59,65 ----
  'title'		=> __('Missing Widgets'),
  'content'	=>
  	'<p>' . __('Many themes show some sidebar widgets by default until you edit your sidebars, but they are not automatically displayed in your sidebar management tool. After you make your first widget change, you can re-add the default widgets by adding them from the Available Widgets area.') . '</p>' .
! 		'<p>' . __('When changing themes, there is often some variation in the number and setup of widget areas/sidebars and sometimes these conflicts make the transition a bit less smooth. If you changed themes and seem to be missing widgets, scroll down on this screen to the Inactive Widgets area, where all of your widgets and their settings will have been saved.') . '</p>'
  ) );
  
  get_current_screen()->set_help_sidebar(
***************
*** 68,90 ****
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
  );
  
! if ( empty($wp_registered_sidebars) ) {
! 	// the theme has no sidebars, die.
! 	require_once( './admin-header.php' );
! ?>
! 
! 	<div class="wrap">
! 	<?php screen_icon(); ?>
! 	<h2><?php echo esc_html( $title ); ?></h2>
! 		<div class="error">
! 			<p><?php _e( 'No Sidebars Defined' ); ?></p>
! 		</div>
! 		<p><?php _e( 'The theme you are currently using isn&#8217;t widget-aware, meaning that it has no sidebars that you are able to change. For information on making your theme widget-aware, please <a href="http://codex.wordpress.org/Widgetizing_Themes">follow these instructions</a>.' ); ?></p>
! 	</div>
! 
! <?php
! 	require_once( './admin-footer.php' );
! 	exit;
  }
  
  // These are the widgets grouped by sidebar
--- 68,75 ----
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
  );
  
! if ( ! current_theme_supports( 'widgets' ) ) {
! 	wp_die( __( 'The theme you are currently using isn&#8217;t widget-aware, meaning that it has no sidebars that you are able to change. For information on making your theme widget-aware, please <a href="http://codex.wordpress.org/Widgetizing_Themes">follow these instructions</a>.' ) );
  }
  
  // These are the widgets grouped by sidebar
***************
*** 360,371 ****
  			<div class="sidebar-name">
  				<div class="sidebar-name-arrow"><br /></div>
  				<h3><?php echo esc_html( $registered_sidebar['name'] ); ?>
! 					<span><img src="<?php echo esc_url( admin_url( 'images/wpspin_light.gif' ) ); ?>" class="ajax-feedback" title="" alt="" /></span>
  				</h3>
  			</div>
  			<div class="widget-holder inactive">
  				<?php wp_list_widget_controls( $registered_sidebar['id'] ); ?>
! 				<br class="clear" />
  			</div>
  		</div>
  <?php
--- 345,356 ----
  			<div class="sidebar-name">
  				<div class="sidebar-name-arrow"><br /></div>
  				<h3><?php echo esc_html( $registered_sidebar['name'] ); ?>
! 					<span class="spinner"></span>
  				</h3>
  			</div>
  			<div class="widget-holder inactive">
  				<?php wp_list_widget_controls( $registered_sidebar['id'] ); ?>
! 				<div class="clear"></div>
  			</div>
  		</div>
  <?php
***************
*** 395,401 ****
  	<div class="sidebar-name">
  	<div class="sidebar-name-arrow"><br /></div>
  	<h3><?php echo esc_html( $registered_sidebar['name'] ); ?>
! 	<span><img src="<?php echo esc_url( admin_url( 'images/wpspin_dark.gif' ) ); ?>" class="ajax-feedback" title="" alt="" /></span></h3></div>
  	<?php wp_list_widget_controls( $sidebar ); // Show the control forms for each of the widgets in this sidebar ?>
  	</div>
  <?php
--- 380,386 ----
  	<div class="sidebar-name">
  	<div class="sidebar-name-arrow"><br /></div>
  	<h3><?php echo esc_html( $registered_sidebar['name'] ); ?>
! 	<span class="spinner"></span></h3></div>
  	<?php wp_list_widget_controls( $sidebar ); // Show the control forms for each of the widgets in this sidebar ?>
  	</div>
  <?php
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-content/plugins/wp-super-cache/plugins/badbehaviour.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-content/plugins/wp-super-cache/plugins/badbehaviour.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-content/plugins/wp-super-cache/plugins/badbehaviour.php	2012-10-29 12:35:33.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-content/plugins/wp-super-cache/plugins/badbehaviour.php	2012-12-17 16:18:44.000000000 -0600
***************
*** 66,72 ****
  		<label><input type="radio" name="cache_badbehaviour" value="0" <?php if( !$cache_badbehaviour ) { echo 'checked="checked" '; } ?>/> <?php _e( 'Disabled', 'wp-super-cache' ); ?></label>
  		<p><?php _e( '', 'wp-super-cache' ); ?></p><?php
  		echo '<p>' . sprintf( __( '(Only legacy caching supported, disabled compression and requires <a href="http://www.bad-behavior.ioerror.us/">Bad Behavior</a> in "%s/plugins/bad-behavior/") ', 'wp-super-cache' ), WP_CONTENT_DIR ) . '</p>';
! 		if ($changed) {
  			if ( $cache_badbehaviour )
  				$status = __( "enabled" );
  			else
--- 66,72 ----
  		<label><input type="radio" name="cache_badbehaviour" value="0" <?php if( !$cache_badbehaviour ) { echo 'checked="checked" '; } ?>/> <?php _e( 'Disabled', 'wp-super-cache' ); ?></label>
  		<p><?php _e( '', 'wp-super-cache' ); ?></p><?php
  		echo '<p>' . sprintf( __( '(Only legacy caching supported, disabled compression and requires <a href="http://www.bad-behavior.ioerror.us/">Bad Behavior</a> in "%s/plugins/bad-behavior/") ', 'wp-super-cache' ), WP_CONTENT_DIR ) . '</p>';
! 		if ( isset( $changed ) && $changed ) {
  			if ( $cache_badbehaviour )
  				$status = __( "enabled" );
  			else
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-content/plugins/wp-super-cache/plugins/domain-mapping.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-content/plugins/wp-super-cache/plugins/domain-mapping.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-content/plugins/wp-super-cache/plugins/domain-mapping.php	2012-10-29 12:35:33.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-content/plugins/wp-super-cache/plugins/domain-mapping.php	2012-12-17 16:18:44.000000000 -0600
***************
*** 76,82 ****
  		<label><input type="radio" name="cache_domain_mapping" value="0" <?php if( !$cache_domain_mapping ) { echo 'checked="checked" '; } ?>/> <?php _e( 'Disabled', 'wp-super-cache' ); ?></label>
  		<p><?php _e( '', 'wp-super-cache' ); ?></p><?php
  		echo '<p>' . __( 'Provides support for <a href="http://wordpress.org/extend/plugins/wordpress-mu-domain-mapping/">Domain Mapping</a> plugin to map multiple domains to a blog.', 'wp-super-cache' ) . '</p>';
! 		if ($changed) {
  			if ( $cache_domain_mapping )
  				$status = __( "enabled" );
  			else
--- 76,82 ----
  		<label><input type="radio" name="cache_domain_mapping" value="0" <?php if( !$cache_domain_mapping ) { echo 'checked="checked" '; } ?>/> <?php _e( 'Disabled', 'wp-super-cache' ); ?></label>
  		<p><?php _e( '', 'wp-super-cache' ); ?></p><?php
  		echo '<p>' . __( 'Provides support for <a href="http://wordpress.org/extend/plugins/wordpress-mu-domain-mapping/">Domain Mapping</a> plugin to map multiple domains to a blog.', 'wp-super-cache' ) . '</p>';
! 		if ( isset( $changed ) && $changed ) {
  			if ( $cache_domain_mapping )
  				$status = __( "enabled" );
  			else
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-content/plugins/wp-super-cache/plugins/searchengine.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-content/plugins/wp-super-cache/plugins/searchengine.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-content/plugins/wp-super-cache/plugins/searchengine.php	2012-10-29 12:35:33.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-content/plugins/wp-super-cache/plugins/searchengine.php	2012-12-17 16:18:44.000000000 -0600
***************
*** 70,76 ****
  		<label><input type="radio" name="cache_no_adverts_for_friends" value="0" <?php if( $cache_no_adverts_for_friends == 'no' ) { echo 'checked="checked" '; } ?>/> <?php _e( 'Disabled', 'wp-super-cache' ); ?></label>
  		<p><?php _e( '', 'wp-super-cache' ); ?></p><?php
  		echo '<p>' . __( 'Provides support for <a href="http://ocaoimh.ie/no-adverts-for-friends/">No Adverts for Friends</a>.', 'wp-super-cache' ) . '</p>';
! 		if ($changed) {
  			if ( 'yes' == $cache_no_adverts_for_friends )
  				$status = __( "enabled" );
  			else
--- 70,76 ----
  		<label><input type="radio" name="cache_no_adverts_for_friends" value="0" <?php if( $cache_no_adverts_for_friends == 'no' ) { echo 'checked="checked" '; } ?>/> <?php _e( 'Disabled', 'wp-super-cache' ); ?></label>
  		<p><?php _e( '', 'wp-super-cache' ); ?></p><?php
  		echo '<p>' . __( 'Provides support for <a href="http://ocaoimh.ie/no-adverts-for-friends/">No Adverts for Friends</a>.', 'wp-super-cache' ) . '</p>';
! 		if ( isset( $changed ) && $changed ) {
  			if ( 'yes' == $cache_no_adverts_for_friends )
  				$status = __( "enabled" );
  			else
